Subject: Re: setitimer() and profiling (was RE: pause())
From: [email-masked] (Geoffrey Noer)

27 Feb 1998 01:09:26 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (Jason Zions)
Cc: [email-masked]

Jason Zions wrote:
[...]
> Bummer. I have a nagging suspicion I'm missing something in the NT
> performance measurement interfaces, but they're (a) so ugly, and (b) so
> numerous, that I can't figure it out. And that wouldn't help you, anyway,
> since many of those don't exist under Win95.

Actually, Cygwin32 does detect and act on the host OS type (for
example, chown is only implemented under NT and is just a stub under
Win 95).  So we probably would implement these for NT only if that was
the best we could do.

> (By the way, the source for our NT/Alpha gcc implementation is available on
> our web site, http://www.opennt.com. It's based on 2.7.2., though, and I
> couldn't say when we'd be able to roll up to 2.8.1. Some enterprising person
> is more than welcome to take our source and make the necessary changes to
> 2.8.1. We did a lot more than just make gcc generate NT/Alpha executables; a
> buncha bugs got fixed while we were in there.)

I think it would be great if these changes got integrated into the
main gcc sources.  This would require someone bringing the changes up
to date with 2.8 and OpenNT (and the person who did the up-to-date
work if they were outside the company) would have to be willing to
sign over the copyright ownership to the Free Software Foundation.
The forms are available from http://egcs.cygnus.com/.

Regards,

Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".